## javax.servlet.jsp.tagext
Class FunctionInfo

    java.lang.Object
      javax.servlet.jsp.tagext.FunctionInfo

    public class FunctionInfo

extends Object

Information for a function in a Tag Library. This class is instantiated from the Tag Library Descriptor file (TLD) and is available only at translation time.

Since:
  JSP 2.0

Constructor Summary
`FunctionInfo(String name, String klass, String signature)` Constructor for FunctionInfo.

Method Summary
`String` `getFunctionClass()` The class of the function.
`String` `getFunctionSignature()` The signature of the function.
`String` `getName()` The name of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionInfo

    public FunctionInfo(String name,
                        String klass,
                        String signature)

  Constructor for FunctionInfo.

  Parameters:
    `name` - The name of the function
    `klass` - The class of the function
    `signature` - The signature of the function

Method Detail

### getName

    public String getName()

  The name of the function.

  Returns:
    The name of the function

### getFunctionClass

    public String getFunctionClass()

  The class of the function.

  Returns:
    The class of the function

### getFunctionSignature

    public String getFunctionSignature()

  The signature of the function.

  Returns:
    The signature of the function

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.